 	PROGRAM coll
	IMPLICIT DOUBLE PRECISION (A-H,O-Z)
	PARAMETER(NT=150,NS=60)
	DIMENSION XCOLLT(NT)
	DIMENSION XCOLLS(NS)
		
	SRTMIN = 1. !GeV
	SRTMAX = 1.6 !GeV
	DSRT   = (SRTMAX-SRTMIN)/NS

	DT = 1. !fm/c

	DO IT = 1,NT
	XCOLLT(IT) = 0.
	ENDDO

	DO IS = 1,NS
	XCOLLS(IS) = 0.
	ENDDO
	
	NRUN = 1000
	OPEN(10,FILE='DNPI.txt')
	DO I = 1,100000000
	READ(10,*,iostat=ios) TIME
			if (ios/=0) exit
	READ(10,*,iostat=ios) LB1,XM1,PX1,PY1,PZ1
	READ(10,*,iostat=ios) LB2,XM2,PX2,PY2,PZ2
	READ(10,*,iostat=ios) LB3,XM3,PX3,PY3,PZ3

	IT = INT(TIME/DT) + 1
	IF(IT.LE.NT.AND.IT.GE.1) THEN
	XCOLLT(IT) = XCOLLT(IT) + 1
	ENDIF
            E3=SQRT(XM3**2+PX3**2+PY3**2+PZ3**2)
            E2=SQRT(XM2**2+PX2**2+PY2**2+PZ2**2)
            S=(E3+E2)**2-(PX3+PX2)**2-(PY3+PY2)**2-(PZ3+PZ2)**2
            SRT=SQRT(S)
	IS = INT((SRT-SRTMIN)/DSRT) + 1
	IF(IS.LE.NS.AND.IS.GE.1) THEN
	XCOLLS(IS) = XCOLLS(IS) + 1
	ENDIF

	ENDDO
	write(*,*) I-1
	CLOSE(10)

	OPEN(99,FILE='DNPI_T.TXT')
	DO IT = 1,NT
	XCOLLT(IT) = XCOLLT(IT)/NRUN/DT
	TIME = (IT-0.5)*DT
	WRITE(99,2010) TIME,XCOLLT(IT)
	ENDDO
	CLOSE(99)

	OPEN(88,FILE='DNPI_S.TXT')
	DO IS = 1,NS
	XCOLLS(IS) = XCOLLS(IS)/NRUN/DSRT
	SRT = (IS-0.5)*DSRT + SRTMIN
	WRITE(88,2010) SRT,XCOLLS(IS)
	ENDDO
	CLOSE(88)
		 
2010	FORMAT(1X,30G18.8)

	END
